function getcolumns(setdrawer) {
  return [
    {
      title: '租户名称',
      dataIndex: 'companyName',
      key: 'companyName',
      formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
    },
    {
      title: '租户代码',
      dataIndex: 'companyCode',
      key: 'companyCode',
      formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
      fieldProps: {
        placeHolder: '租户代码（支持1-10位字母或数字组合而成）',
      },
    },
    {
      title: '生效日期',
      dataIndex: 'effectDate',
      key: 'effectDateRange',
      valueType: 'dateRange',
      hideInForm: true,
      formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
    },
    {
      title: '生效日期',
      dataIndex: 'effectDate',
      key: 'effectDate',
      valueType: 'date',
      hideInTable: true,
      search: false,
      formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
    },
    {
      title: '失效日期',
      dataIndex: 'expireDate',
      hideInForm: true,
      valueType: 'dateRange',
      key: 'expireDateRange',
    },
    {
      title: '失效日期（不填则默认永久）',
      dataIndex: 'expireDate',
      hideInTable: true,
      search: false,
      valueType: 'date',
      key: 'expireDate',
    },
    {
      title: '状态',
      dataIndex: 'status',
      key: 'status',
      valueType: 'select',
      options: [
        {
          value: 1,
          label: '启用',
        },
        {
          value: 2,
          label: '停用',
        },
      ],
      formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
      render: (_, row) => {
        return row?.status == 1 ? '启用' : '停用';
      },
    },
    {
      title: '地址',
      dataIndex: 'companyAddress',
      key: 'companyAddress',
      search: false,
      hideInTable: true,
    },
    {
      title: '联系人',
      dataIndex: 'contant',
      key: 'contant',
      search: false,
      hideInTable: true,
    },
    {
      title: '联系电话',
      dataIndex: 'telephone',
      key: 'telephone',
      search: false,
      hideInTable: true,
    },
    {
      title: '邮箱',
      dataIndex: 'mail',
      key: 'mail',
      search: false,
      hideInTable: true,
    },

    {
      title: '排序号',
      dataIndex: 'sortNumber',
      key: 'sortNumber',
      search: false,
      hideInTable: true,
      valueType: 'digit',
      precision: 0,
      formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
    },
    {
      title: '备注',
      dataIndex: 'remark',
      key: 'remark',
      search: false,
      hideInTable: true,
      valueType: 'textarea',
    },
  ];
}

export default getcolumns;
